#!/bin/zsh

# Copyright 2014 Paul Hänsch
#
# This file is part of Confetti.
# 
# Confetti is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# Confetti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with Confetti.  If not, see <http://www.gnu.org/licenses/>. 

cgi_post

uid=$(dbus-uuidgen)
course="${uid}.ics"

tzid=$(cat /etc/timezone)
tstamp=$(TZ="$tzid" date +%Y%m%dT%H%M%S)

tempfile="$_DATA/temp/$course"

cat >"$tempfile" <<EOF
BEGIN:VCALENDAR
VERSION:2.0
PRODID:Berlin RAW Confetti
BEGIN:VEVENT
UID:$uid
DTSTAMP:TZID=${tzid}:${tstamp}
DTSTART:
DURATION:
RRULE:
SUMMARY:
COMMENT:
END:VEVENT
END:VCARD
EOF

echo -n "Location: http://$HTTP_HOST/?page=courses&edit=$course\n\n"
